Subject: Re: [Q] COPS Error Obj

From: 이병준 <[email-masked]>
Date: Wed, 1 Aug 2001 19:53:36 +0900

Thank you for your kind reply.

> >
> > Sorry for Another Question.
> > When sending CC message to PEP in that case,
> > Integrity Obj should be included in it?
>
> [Dave] Yes it should be included (though not including it will acheive the
> same result:-) ).

But I don't think that it 'should' be included. Because
the PEP trying to negotiate with PEP about security would
not expect the Integrity Obj will be returned in the CC message.
(Although he's trying that procedure twice, He probably think
that he's currently do the opening procedure to PDP for the first time.)

I think that RFC does not mention about this, is that right?

And if you don't mind, I'd like to give you another question.
What should PDP do when PEP sent another OPN message
after PDP already received that OPN message? I know that
PDP should send CC message to PEP, but I'm not sure
which Error code should CC contain. :-(

I think that RFC does not include Error code for the cases
that Wrong Message sequence are followed.

- - -
Byung-Joon Lee,
Network Architecture Team of ETRI
[email-masked] +82 42 860 1728
http://oopsla.snu.ac.kr/~bjlee

> >
> >
> > ----- Original Message -----
> > From: "Durham, David" <[email-masked]>
> > To: "'???'" <[email-masked]>; <[email-masked]>
> > Sent: Tuesday, July 31, 2001 10:38 AM
> > Subject: RE: [Q] COPS Error Obj
> >
> >
> > > Error #14 Authentication Failure would be appropriate here.
> > > Cheers,
> > > -Dave
> > >
> > > > -----Original Message-----
> > > > From: [email-masked] [mailto:[email-masked]]
> > > > Sent: Monday, July 30, 2001 6:23 PM
> > > > To: [email-masked]
> > > > Subject: [Q] COPS Error Obj
> > > >
> > > >
> > > > According to RFC 2748, the security and sequence number
> > > > negotiation phase should be done only once. (page 29)
> > > > If that statement is correct, then what Error Code the
> > COPS Error Obj
> > > > should contain when PEP tries to send another OPN message
> > > > after negotiation is finished already, and PDP replies to
> > that message
> > > > with CC message?
> > > >
> > > > Thank you in advance, and sorry for this abrupt question.
> > > >
> > > > - - -
> > > > Byung-Joon Lee,
> > > > Network Architecture Team of ETRI
> > > > [email-masked] +82 42 860 1728
> > > > http://oopsla.snu.ac.kr/~bjlee
> > > >
> > > >
> > > >
> > > >
> >
> >